with GNATCOM.Dispinterface;

package MSHTML.ICanvasGradient_Interface is

   type ICanvasGradient_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ICanvasGradient_Type);

   function Pointer (This : ICanvasGradient_Type)
     return Pointer_To_ICanvasGradient;

   procedure Attach (This    : in out ICanvasGradient_Type;
                     Pointer : in     Pointer_To_ICanvasGradient);

   procedure addColorStop
     (This   : ICanvasGradient_Type;
      offset : Interfaces.C.C_float;
      color  : GNATCOM.Types.BSTR;
      Free   : Boolean := True);

end MSHTML.ICanvasGradient_Interface;

